#
# spec file for package yast2-scanner (Version 2.9.16)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  yast2-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils curl dejagnu doxygen expect gcc gdbm gettext libtool liby2util liby2util-devel openslp openslp-devel perl perl-XML-Writer perl-gettext popt-devel rpm tcl update-desktop-files yast2 yast2-core yast2-core-devel yast2-devtools yast2-packagemanager yast2-packagemanager-devel yast2-perl-bindings yast2-testsuite

Name:         yast2-scanner
Version:      2.9.16
Release:      0.2
License:      GPL
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-scanner-2.9.16.tar.bz2
prefix:		/usr
Requires:     yast2
Provides:     yast2-config-scanner
Obsoletes:    yast2-config-scanner
Provides:     yast2-trans-scanner
Obsoletes:    yast2-trans-scanner
BuildArchitectures:	noarch
Summary:      YaST2 - Scanner Configuration

%description
This package provides support for the configuration of SCSI and USB
scanners.  Scanning with Linux uses the SANE (Scanner Access Now Easy)
scanner library.  If your scanner is supported by SANE, the scanner is
detected automatically and can be installed easily. If the scanner is
not supported or detected, you can try manual configuration.



Authors:
--------
    Gabriele Strattner gs@suse.de

%prep
%setup -n yast2-scanner-2.9.16

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{prefix}/share/applications/YaST2/scanner.desktop
/usr/share/YaST2/clients/scanner.ycp
%dir /usr/share/YaST2/include/scanner
/usr/share/YaST2/include/scanner/*
/usr/lib/YaST2/servers_non_y2/ag_scanner
/usr/lib/YaST2/servers_non_y2/ag_sane
/usr/lib/YaST2/servers_non_y2/scannerDB.pm
/usr/share/YaST2/scrconf/scanner.scr
/usr/share/YaST2/scrconf/sane.scr
%doc %{prefix}/share/doc/packages/yast2-scanner

%changelog -n yast2-scanner
* Tue May 04 2004 - gs@suse.de
- V 2.9.16
- set scanner driver in manual configuration dialog (bug #39940)
* Wed Apr 07 2004 - gs@suse.de
- V 2.9.15
- bugfix for #38634 (remove blank in scanner_notfound.ycp)
* Fri Apr 02 2004 - gs@suse.de
- V 2.9.14
- license changed to GPL
* Thu Apr 01 2004 - gs@suse.de
- V 2.9.13
- recognize HP all-in-one devices correctly
* Wed Mar 24 2004 - gs@suse.de
- V 2.9.12
- scannerDB.pm: config file editing improved (maintained copies of
  the /etc/sane.d/<driver>.conf files are not necessary any longer)
* Mon Mar 22 2004 - gs@suse.de
- V 2.9.11
- scannerDP.pm: template for plustek driver corrected
* Fri Mar 12 2004 - gs@suse.de
- V 2.9.10
- bugfix: call correct dialog on Add button
* Tue Mar 09 2004 - gs@suse.de
- V 2.9.9
- adapt to stricter type checking of YCP interpreter
* Mon Mar 08 2004 - msvec@suse.cz
- use Sequencer and Service
- set title icon
* Mon Mar 08 2004 - gs@suse.de
- V 2.9.8
- adapt USB scanning to libusb usage (kernel 2.6)
* Tue Mar 02 2004 - gs@suse.de
- V 2.9.7
- messages from proofreading merged back
* Mon Mar 01 2004 - gs@suse.de
- V 2.9.6
- installation of HP all-in-one devices improved
* Thu Feb 26 2004 - gs@suse.de
- V 2.9.5
- check for status "unsupported" (scannerDP.pm)
* Thu Feb 26 2004 - gs@suse.de
- V 2.9.4
- don't call scanner USB dialog (scanner.o is obsolete)
* Mon Feb 09 2004 - arvin@suse.de
- removed config files (*.y2cc)
* Fri Jan 30 2004 - msvec@suse.cz
- NI fixes
- 2.9.2
* Fri Nov 21 2003 - gs@suse.de
- V 2.9.1
- install kdegraphics3-scan (Kooka)
- some text/layout improvements
- don't show hubs in USB dialog
* Tue Sep 09 2003 - gs@suse.de
- V 2.8.13
- activate service hotplug (instead of hotplug_usb)
* Mon Sep 08 2003 - gs@suse.de
- V 2.8.12
- merge texts from proof read, remove non UTF-8 letter from comment
* Tue Sep 02 2003 - gs@suse.de
- V 2.8.11
- improve the installation of HP all-in-one devices
* Mon Sep 01 2003 - gs@suse.de
- V 2.8.10
- popups added for scanners which require a firmware upload
* Fri Aug 29 2003 - gs@suse.de
- V 2.8.9
- add a popup which informs the user to configure JetDirect manually
* Tue Aug 26 2003 - gs@suse.de
- V 2.8.8
- activate services hotplug_usb and ptal for HP all-in-one devices
* Thu Aug 21 2003 - gs@suse.de
- bugfix in scannerDB.pm ( correct path is: /usr/bin/scanimage )
* Mon Aug 18 2003 - arvin@suse.de
- use String::CutBlanks
* Mon Aug 11 2003 - gs@suse.de
- V 2.8.5
- merge texts from proofread
* Wed Aug 06 2003 - gs@suse.de
- V 2.8.4
- identify HP all-in-one in hwinfo scanner list
* Sat Aug 02 2003 - arvin@suse.de
- added desktop file
* Wed Jul 23 2003 - gs@suse.de
- V 2.8.2
- support of HP all-in-one devices
- internal: use new perl interface (ag_sane, ag_scanner)
- file scanner.desktop added
* Fri Mar 14 2003 - gs@suse.de
- parse external scanner descriptions, too, to get the complete
  scanner list (support of HP Office Jet scanners)
* Thu Mar 06 2003 - gs@suse.de
- bugfix in scannerDB.pm (correct initialization of $oriline)
  bug #24833
* Mon Mar 03 2003 - gs@suse.de
- help text corrected
* Mon Feb 17 2003 - gs@suse.de
- write USB scanner data to /etc/hotplug/usb/sane.usermap
* Mon Feb 10 2003 - gs@suse.de
- scanner database now is dynamically created from
  SANE scanner description files
* Mon Nov 18 2002 - gs@suse.de
- provide SCR::Dir(.sane), SCR::Dir(.scanner),
  improve, update the help text
* Mon Sep 09 2002 - freitag@suse.de
- removed some nasty warnings on console (bug #19090)
  disabled Test-Button while scanning to avoid 'double' clicks
* Wed Sep 04 2002 - mvidner@suse.cz
- Don't use a temporary file when calling sw_single.
- 2.6.7
* Tue Sep 03 2002 - gs@suse.de
- fixed config template for plustek, i.e. wellknown Epson perfection 1650
* Tue Aug 27 2002 - jsuchome@suse.cz
- provide/obsolete old translation packages
* Mon Aug 19 2002 - gs@suse.de
- more scanner supported (sane-1.0.8)
* Mon Jul 29 2002 - gs@suse.de
- comments for translators added
* Mon Jul 29 2002 - gs@suse.de
- remove yast2-runlevel from Requires list
- internal changes (remove obsolete include file)
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Fri Jul 05 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Tue Jul 02 2002 - msvec@suse.cz
- renamed to yast2-scanner
- 2.6.0
* Tue Mar 26 2002 - gs@suse.de
- (#15510) mark installed scanner as configured for hardware detection
* Mon Mar 25 2002 - kkaempf@suse.de
- use 'config aware' libhd calls when probing for usb/scsi devices
  (#15483).
* Tue Mar 19 2002 - gs@suse.de
- bugfixes: the test scan for network scanners is working again,
  ignore case while comparing installed and connected scanner
- removed dependency on ImageMagick tool convert since the image
  widget is now able to scale by itself
- #14937: it is possible now to close the scanner configuration with
  the window manager
* Fri Mar 15 2002 - gs@suse.de
- reworked the config file templates to use the ones from 1.0.7
  (fixing bug #14899)
- parenthesises removed since they break the ycp-perl interface
* Fri Mar 01 2002 - gs@suse.de
- some internal changes and bugfixes (hwinfo now also detects
  SCSI scanner, look for exactly matching key in scanner map,
  use correct key "scanner_driver")
* Mon Feb 25 2002 - gs@suse.de
- scannerDB: adapt to sane version 1.07
* Mon Feb 18 2002 - freitag@suse.de
- bugfix: Printing lines with only comments again, which were blank
  before. Changed call to scanimage for sane version 1.0.7
* Tue Feb 05 2002 - gs@suse.de
- bugfix for the scanner agent, internal changes in ycp modules,
- enable service "sane" if a SCSI scanner is connected
* Mon Feb 04 2002 - freitag@suse.de
- removed bug that skips the bus in the device file line in the
  scanner conf, makes /dev/usbscanner from usb /dev/usbscanner
- checked the database for sane 1.0.6
* Thu Nov 08 2001 - freitag@suse.de
- changed writeConfig-sub to do not write a comment after the device
  file in the backend.conf file in /etc/sane.d. The comment confuses
  at least the mustek and the snapscan backend (bug #12063)
- added mkdir /var/lib/sane to the function that writes the devices
  file in the directory for sane's rcscript. If the directory does
  not exist, the file could not be written which causes a problem
  with the rcscript on system shutdown
- added mustek_usb to the available drivers list.
- corrected path in revertAll from /var/log/sane to /var/lib/sane.
- added snapscan 1236U to the scanner DB
* Thu Sep 20 2001 - gs@suse.de
- multiple scanner tests are possible  (bug #11026)
- permissions of /dev/sg? are set correctly to 666 (bug #11035)
* Tue Sep 18 2001 - freitag@suse.de
- write /etc/hotplug/usb.usermap for scanners not automatically detected.
  Makes the correct module loaded and unloaded on mounting or
  unmounting of the device.
- better recognition of scanners by whitespace insensitive pattern match.
- added config-template for USB-mustek scanners, they were accidential
  missing.
* Fri Sep 14 2001 - freitag@suse.de
- manual USB scanner install works for Scanners not reporting a
  proper vendor/model name
* Wed Sep 12 2001 - freitag@suse.de
- fixed bugs in reverting the installation, created files for the
  sane startup and shutdown scripts that fix permissions.
  Bugfix that removes temporaer files, setting the sane permission
  fix variable in rc.config and behaviour in case no scsi device
  was found in manual scanner configuration (bzilla #10310)
* Tue Sep 04 2001 - freitag@suse.de
- installation of scsi and usb scanners work now, deletion is also
  working. Networkstation-scanners will be detected and installed.
  Abort also works.
* Mon Aug 20 2001 - gs@suse.de
- installation works (except setting the permissions of /dev/sg_
  or /dev/usbscanner to 666),
  manual installation needs some more work,
  delete an scanner configuration does not work
* Mon Aug 06 2001 - gs@suse.de
- workflow dialogs completed - but not yet with full functionality
* Thu Mar 22 2001 - gs@suse.de
- initial version
